# Uses of Interface
java.awt.event.WindowListener

Packages that use WindowListener
Package
Description
com.sun.java.accessibility.util
Provides a collection of interfaces and classes that compose the Java Accessibility Utilities.
java.awt
Contains all of the classes for creating user interfaces and for painting graphics and images.
java.awt.event
Provides interfaces and classes for dealing with different types of events fired by AWT components.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.plaf.basic
Provides user interface objects built according to the Basic look and feel.

- ## Uses of WindowListener in com.sun.java.accessibility.util

  Methods in com.sun.java.accessibility.util with parameters of type WindowListener
  Modifier and Type
  Method
  Description
  `static void`
  AWTEventMonitor.`addWindowListener(WindowListener l)`
  Adds the specified listener to receive all `WINDOW` events on each component instance in the Java Virtual Machine when they occur.
  `static void`
  AWTEventMonitor.`removeWindowListener(WindowListener l)`
  Removes the specified listener so it no longer receives `WINDOW` events when they occur.

- ## Uses of WindowListener in java.awt

  Classes in java.awt that implement WindowListener
  Modifier and Type
  Class
  Description
  `class`
  `AWTEventMulticaster`
  `AWTEventMulticaster` implements efficient and thread-safe multi-cast event dispatching for the AWT events defined in the `java.awt.event` package.
  Methods in java.awt that return WindowListener
  Modifier and Type
  Method
  Description
  `static WindowListener`
  AWTEventMulticaster.`add(WindowListener a, WindowListener b)`
  Adds window-listener-a with window-listener-b and returns the resulting multicast listener.
  `WindowListener[]`
  Window.`getWindowListeners()`
  Returns an array of all the window listeners registered on this window.
  `static WindowListener`
  AWTEventMulticaster.`remove(WindowListener l, WindowListener oldl)`
  Removes the old window-listener from window-listener-l and returns the resulting multicast listener.
  Methods in java.awt with parameters of type WindowListener
  Modifier and Type
  Method
  Description
  `static WindowListener`
  AWTEventMulticaster.`add(WindowListener a, WindowListener b)`
  Adds window-listener-a with window-listener-b and returns the resulting multicast listener.
  `void`
  Window.`addWindowListener(WindowListener l)`
  Adds the specified window listener to receive window events from this window.
  `static WindowListener`
  AWTEventMulticaster.`remove(WindowListener l, WindowListener oldl)`
  Removes the old window-listener from window-listener-l and returns the resulting multicast listener.
  `void`
  Window.`removeWindowListener(WindowListener l)`
  Removes the specified window listener so that it no longer receives window events from this window.

- ## Uses of WindowListener in java.awt.event

  Classes in java.awt.event that implement WindowListener
  Modifier and Type
  Class
  Description
  `class`
  `WindowAdapter`
  An abstract adapter class for receiving window events.

- ## Uses of WindowListener in javax.swing

  Classes in javax.swing that implement WindowListener
  Modifier and Type
  Class
  Description
  `protected class`
  `JMenu.WinListener`
  A listener class that watches for a popup window closing.

- ## Uses of WindowListener in javax.swing.plaf.basic

  Classes in javax.swing.plaf.basic that implement WindowListener
  Modifier and Type
  Class
  Description
  `protected class`
  `BasicToolBarUI.FrameListener`
  The class listens for window events.
  Methods in javax.swing.plaf.basic that return WindowListener
  Modifier and Type
  Method
  Description
  `protected WindowListener`
  BasicToolBarUI.`createFrameListener()`
  Constructs a new instance of `WindowListener`.